pk-catalog
3
PACKAGEKIT Library

# pk-catalog

## Synopsis

    #define             PK_CATALOG_ERROR
    #define             PK_CATALOG_TYPE_ERROR
    typedef             PkCatalogPrivate;
    enum                PkCatalogProgress;
    PkCatalog *         pk_catalog_new                      (void);
    PkPackageList *     pk_catalog_process_files            (PkCatalog *catalog,
                                                             gchar **filenames);
    gboolean            pk_catalog_cancel                   (PkCatalog *catalog);

## Description

## Details

### PK_CATALOG_ERROR

    #define PK_CATALOG_ERROR	(pk_catalog_error_quark ())

### PK_CATALOG_TYPE_ERROR

    #define PK_CATALOG_TYPE_ERROR	(pk_catalog_error_get_type ())

### PkCatalogPrivate

    typedef struct PkCatalogPrivate PkCatalogPrivate;

### enum PkCatalogProgress

    typedef enum {
    	PK_CATALOG_PROGRESS_PACKAGES,
    	PK_CATALOG_PROGRESS_FILES,
    	PK_CATALOG_PROGRESS_PROVIDES,
    	PK_CATALOG_PROGRESS_LAST
    } PkCatalogProgress;

### pk_catalog_new ()

    PkCatalog *         pk_catalog_new                      (void);

Returns :

  a new PkCatalog object.

### pk_catalog_process_files ()

    PkPackageList *     pk_catalog_process_files            (PkCatalog *catalog,
                                                             gchar **filenames);

`catalog` :

`filenames` :

Returns :

### pk_catalog_cancel ()

    gboolean            pk_catalog_cancel                   (PkCatalog *catalog);

`catalog` :

Returns :